Subject: Re: [PATCH 00/11] mlx5 support for VFIO self test

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 5 May 2026 12:50:46 -0300

On Mon, May 04, 2026 at 10:54:08PM +0000, David Matlack wrote:
> > The PF support flow requires a bunch more complicated stuff.
> 
> Do you think it's worth supporting PFs? If anyone with a CX NIC can
> enable SR-IOV and run selftests on a VF then we can keep the driver
> somewhat simpler.

It turns out my test system cannot enable SR-IOV due to iommu_group
problems so I rather prefer to have this :) I had to hack a kernel up
to do the initial testing and it was very annoying.

Jason